ios 环信IM与语音室聊天SDK同时集成 冲突问题【如果需要不同的功能 建议使用低版本通用sdk】

项目中同时需要环信IM与环信聊天室功能
在集成sdk时发现“EaseIMKit” 与“EaseCallKit” 的依赖“HyphenateChat” 与聊天室需要的“Hyphenate”重复冲突问题
需要怎么集成 才能不冲突?有没有全套公共的SDK提供?


已邀请:

wyq

自问自答 

只能手动导入 其中一个手动 另一个走pod

wyq

得到答复 不能同时集成HyphenateChat与Hyphenate

吐血

wyq

在podfile中
pod时指定版本即可,如下:
#========================
# 环信SDK
pod 'Hyphenate','3.7.4'
# 环信IM UI库
pod 'EaseIMKit','3.7.4'
#========================

要回复问题请先登录注册